/// This model class gives structure to user data query
class UserModel {
  /// URL to profile picture, aka avatar
  String avatar;

  /// User's full name
  String fullName;

  /// Username
  String username;

  /// Bio section
  String bio;

  /// Workplace section
  String company;

  /// User's location
  String location;

  /// URL to user's website
  String url;

  /// Named constructor which initializes properties
  /// by deserializing [json]
  UserModel.from(Map<String, dynamic> json) {
    this.avatar = json['avatarUrl'];
    this.fullName = json['name'];
    this.username = json['login'];
    this.bio = json['bio'];
    this.company = json['company'];
    this.location = json['location'];
    this.url = json['websiteUrl'];
  }
}
