import 'package:flutter_gh_fetch/flutter_gh_fetch.dart';
import 'package:flutter_test/flutter_test.dart';

/// Unit tests...
void main() {
  final ghFetch = FlutterGHFetch('XXX');

  setUp(() async {
    await ghFetch.init();
  });

  test('fetch data related to user themselves', () async {
    final userData = await ghFetch.queryUserData();
    expect(userData.fullName.isNotEmpty, true);
  });

  test('fetch data related to repos (without cursor)', () async {
    final repos = await ghFetch.queryRepositoryData(5);
    expect(repos.isNotEmpty, true);
  });

  test('fetch data related to repos (with cursor)', () async {
    final repos = await ghFetch.queryRepositoryData(
      5,
      after: 'XXX',
    );
    expect(repos.isNotEmpty, true);
  });

  test('fetch only public repos', () async {
    final repos = await ghFetch.queryRepositoryData(5, filterPrivate: true);
    expect(repos.isNotEmpty, true);
  });

  test('fetch total repository count', () async {
    final totalCount = await ghFetch.queryTotalRepoCount();
    expect(totalCount > 0, true);
  });
}
